Name:		b43-openfwwf
Version:	5.2
Release:	%mkrel 6
Summary:	Open firmware for some Broadcom 43xx series WLAN chips
Group:		System/Kernel and hardware
License:	GPLv2
Url:		http://www.ing.unibs.it/openfwwf/
Source0:	http://www.ing.unibs.it/openfwwf/firmware/openfwwf-%{version}.tar.gz
Source1:	README.openfwwf
Source2:	openfwwf.conf
BuildArch:	noarch
BuildRequires:	b43-tools

%description
Open firmware for some Broadcom 43xx series WLAN chips.
Currently supported models are 4306, 4311(rev1), 4318 and 4320.


%prep
%setup -q -n openfwwf-%{version}
sed -i s/"-o 0 -g 0"// Makefile
install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build
%make


%install
make install PREFIX=%{buildroot}/lib/firmware/b43
install -p -D -m 0644 openfwwf.conf %{buildroot}%{_sysconfdir}/modprobe.d/openfwwf.conf


%files
%doc COPYING LICENSE README.openfwwf
%dir /lib/firmware/b43
/lib/firmware/b43/b0g0bsinitvals5.fw
/lib/firmware/b43/b0g0initvals5.fw
/lib/firmware/b43/ucode5.fw
%{_sysconfdir}/modprobe.d/openfwwf.conf




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 5.2-6.mga5
+ Revision: 743303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.2-5.mga5
+ Revision: 678090
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 5.2-4.mga4
+ Revision: 502984
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 5.2-3.mga3
+ Revision: 346752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 04 2012 zezinho <zezinho> 5.2-2.mga2
+ Revision: 218054
- kernel 3.2.x b43 driver now searches for the firmware in b43 instead of b43-open

* Tue Sep 27 2011 zezinho <zezinho> 5.2-1.mga2
+ Revision: 149608
- imported package b43-openfwwf


* Mon Sep 26 2011 zezinho <lists.jjorge@free.fr> 5.2-1.mga2
- spec started from fedora one